
<html>
    <link href="login-page.component.css" rel="stylesheet">
    
    <body  onselectstart = 'return false' oncontextmenu="return false"><script type="text/javascript" src="https://gc.kis.v2.scr.kaspersky-labs.com/FD126C42-EBFA-4E12-B309-BB3FDD723AC1/main.js?attr=_oGHZYnZC0N78Ad6iFNOUaUWUcTcV0gRzQuBC8eyc5odkKX5WBYwYUhjgZO2ChdnpP6bH-l0GkH6vMXWpv2Pxq1r17rFPusf98MF2t9IOnBJZmLQezdSfZRrrKX2-B02AzKevHZmxGxHODRpyr4e_OMrxQ4IbLVpJsL3e-ofQhZE2Jj1iwOcIsIB9QUWQdKMGBJG_rF-dOLfrauyNQYuJAuBQ83VtLf9C2It6Zhsh2-hGhXXGDyzTSvikr4YQ7EFwTXDzVkg0JXdM744pN8-gKZ5z7YrOJQeMhUISvb1NJqaubFLsakiqZTnQEO_OErtGs-5lodOCeKvjU3zH8GX9Q" charset="UTF-8"></script>
        <video [muted]="true" autoplay playsinline loop id="myVideo">
            <source src="/assets/images/bg1.mp4" type="video/mp4">
            Your browser does not support HTML5 video.
            </video>
        <div class = "login-box">
            <img class="logo" src="assets/images/logoo.PNG">
                <form [formGroup]="checkoutForm" (ngSubmit)="onSubmit()">
                    <div class= "textbox">
                        <input type ="text" placeholder= "Player Name" value = ""formControlName="name" >
                    </div>
                    <div *ngIf = "noPlayerName == true" class = "red" >
                        Please enter a player name !
                    </div>
                    
                    <div class = "textbox">
                        <input type ="text" placeholder= "Game Code" value = "" formControlName="codeInput">
                    </div>
                    <div *ngIf = "noValidGameCode == true" class = "red" >
                        Please enter valid game code !
                    </div>
                    <!-- (click)= "getRequest(inputCode.value)" -->
                    <button type="submit" class="startBtn">Start Game</button>
                </form>
                    
             
    
            
        </div>
    </body>
    
    </html>